Status: 完成 Closed Start date: 2022-11-01

Priority: Normal Due date:

Assignee: CD FW-周羚洛 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

"把UE里面的第8章关于弹幕 完成，

把需求文档中4.1.2.2关于弹幕完成

游戏模式交互布局及流程图：https://thundersoft.feishu.cn/file/boxcnjVzEvgG4o3bvrp1A7yWChe

游戏模式需求文档 ：https://thundersoft.feishu.cn/docx/doxcnkCbTXYb4vXfJfbXetgwYxb

History

#1 - 2022-11-01 14:13 - CD FW-周羚洛

- Subject changed from 【MK】【FW】【GameMode】【TC-RID: 1201-0204801】Game Mode bullet screen to 【MK】【FW】【GameMode】【TC-RID:

1201-0204808】Game Mode bullet screen

#2 - 2022-11-09 20:02 - CD FW-周羚洛

1.打开菜单，查看弹幕是否关闭。正常：关闭

2.打开菜单，打开弹幕来消息是否有弹幕。正常：有弹幕

3.打开菜单，打开弹幕，关机，开机，进入app，查看是否有弹幕。正常：有弹幕

4.打开菜单，打开弹幕，进入Home，进入app，查看是否有弹幕。正常：有弹幕

5.打开菜单，打开弹幕，进入锁屏，解锁，进入app，查看是否有弹幕。正常：有弹幕

6.弹幕中的消息是否超过10s，就会消失。正常：消失

7.弹幕中两条消息超过10s，是否消失。正常：消失

8.弹幕中来的消失是否符合要求

    1. 内容为文字：字符超过20个字符时，超出部分做省略展示

    2. 内容为语音：用文言代替，“【语音消息】”

    3. 内容为可识别表情：展示表情的文字

    4. 内容为不可识别表情：用文言代替，“【表情】”

    5. 内容为文件：用文言代替，“【文件】”

    6. 内容为红包：用文言代替，“【红包】”

9.点击弹幕背后的按钮，查看是否可以点击。正常：可以点击

10.正在进行弹幕的时候，通过quicksetting去关闭游戏模式，查看是否可以关闭弹幕。正常：关闭弹窗

11.在11的基础上再通过quicksetting去打开游戏模式，查看是否可以打开弹幕。正常：可以打开弹窗

12.在其他非app，是否可以接受到弹幕。正常：不可以

#3 - 2022-11-10 11:06 - CD FW-周羚洛

- % Done changed from 0 to 100

#4 - 2022-11-11 14:31 - CD FW-周羚洛

- Status changed from New to 完成 Closed
#5 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161825 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lingluo.zhou@thundersoft.com
